class CreateSyncRepositories < ActiveRecord::Migration[5.2]
  def change
    create_table :sync_repositories do |t|
      t.references :project 
      t.string :type
      t.string :repo_name
      t.string :external_repo_address
      t.integer :sync_granularity
      t.integer :sync_direction, comment: "1表示从gitlink到外部2表示从外部到gitlink"

      t.timestamps
    end
  end
end
